Welcome to the new Linux Foundation Forum!

Lab 3.3-Error in opening openstack utility

hemanshu351hemanshu351 Posts: 6
edited April 2017 in LFS252 Class Forum

Hi ,

I am getting below error when I am trying to launch openstack utility:

source openrc admin

WARNING: setting legacy OS_TENANT_NAME to support cli tools

 

Pls let me know the fix for this.

Rgds//

Hemanshu

Comments

  • serewiczserewicz Posts: 533
    edited April 2017

    This output should not cause any issues. It is informational, letting you know a parameter is being set to conform to possible CLI tools. There are currently three different versions of the API. As a result some variables are only used in an older, or perhaps in a newer version of the software. 

    Regards,

  • hemanshu351hemanshu351 Posts: 6
    edited April 2017

    Thanks for replying.I am getting error while creating project through CLI

    (openstack) project create CallCenter

    Unable to establish connection to http://192.168.97.1:5000/v2.0/tokens: HTTPConnecti

    onPool(host='192.168.97.1', port=5000): Max retries exceeded with url: /v2.0/tokens

    (Caused by NewConnectionError('<requests.packages.urllib3.connection.HTTPConnection

    object at 0x7f1271523350>: Failed to establish a new connection: [Errno 111] Connect

    ion refused',))

    Pls let me know how to resolve this.

    Rgds//

     

     

     

     

  • serewiczserewicz Posts: 533
    edited April 2017

      

    Hello,

    The error you are seeing is due to a current bug in DevStack. If you take a closer look at the log file you will probably find a few errors as well as an exit_trap indicating that the installation did not complete. Even though you have a prompt all the necessary OpenStack services are not working properly together.   

    The issue seems to be connected to a change in python software. Ever since v3 was released and not compatible with v2 python, there has been an ongoing occurrence of issues as modifications are made to that code. Once that issue is take care of, and the installation completes properly, you should no longer receive this issue. 

    Regards,

  • hemanshu351hemanshu351 Posts: 6
    edited April 2017

    Thanks for your reply,I am not able to complete Lab exercises 3.3 because of the bug that you stated in your reply.Is there any workaround ir fix for this or do I need to skip this exercise?

     

    Rgds//

  • serewiczserewicz Posts: 533
    edited April 2017

    You are correct. Labs 3 and 4 do not currently work. I have shared these steps with the infrastructure team. Hopefully the workaround can be implemented soon, allowing the labs for chapter 3 and 4 to be fixed shortly.  Until then you can work on later labs and return when the fix has been pushed out.

     

Sign In or Register to comment.